// src/hw_uart_internal/usart2.rs
use defmt::info;
use embassy_time::Duration;

use crate::hw_uart_pc::safety::preflight_and_suggest_yield_period;

pub fn setup_and_spawn(baudrate: u32) -> Duration {
    let yield_period = preflight_and_suggest_yield_period(baudrate);
    info!("HW USART2 safe");
    yield_period
}
